<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>

  <div>
    <h1>Patientenliste</h1>

    <table>
      <thead>
        <tr>
          <td>Name</td>
          <td id="pat_name" class="name"></td>
        </tr>
        <tr>
          <td>Geburtsdatum</td>
          <td id="pat_geb"></td>
        </tr>
        <tr>
          <td>SVNr.</td>
          <td id="pat_svnr"></td>
        </tr>
      </thead>
      <tbody>

      </tbody>
    </table>

    <form id="pat_form">
      <input type="text" id="pat_input" placeholder="Name" />
      <input type="button" id="pat_button" value="Absenden!" />
    </form>

    <ul id="pat_massnahmen">

    </ul>

  </div>

  <script>
    const json = {
      "protokoll" : {
        "pr_id" : "p01",
        "patient": {
          "name": "Max Mustermann",
          "geburtsdatum": "01.01.1970",
          "svnr": "4569"
        },
        "vitalparameter": {
          "rr": "120/80",
          "sp02": "94%"
        },
        "massnahmen": ["Herzdruckmassge", "lagerung", "betreuung"],
        "anmerkungen": {}
      }
    };

    document.getElementById("pat_form").addEventListener("submit", (event) => {
      event.preventDefault();
      addContent();
    });

    document.getElementById("pat_button").addEventListener("click", (event) => {
      addContent();
    })

    function addContent()
    {
      if(document.getElementById("pat_input").value != "")
      {
        let list = document.createElement("li");
        list.innerHTML = document.getElementById("pat_input").value;;
        document.getElementById("pat_massnahmen").appendChild(list);
        document.getElementById("pat_input").value = "";
      }
      else
      {
        document.getElementById("pat_input").style = "background-color: #365839";
      }
    }

    console.dir(document.getElementById("pat_name"));
    document.getElementById("pat_name").innerHTML = "<b>" + json.protokoll.patient.name + "</b>";
    document.getElementById("pat_geb").innerHTML = "<b>" + json.protokoll.patient.geburtsdatum + "</b>";
    document.getElementById("pat_svnr").innerHTML = "<b>" + json.protokoll.patient.svnr + "</b>";
    console.log(json);
    console.log(json.protokoll.massnahmen[1]);

    /*
    for (let index = 0; index < json.protokoll.massnahmen.length; index++) {
      const element = json.protokoll.massnahmen[index];
      console.log(element);
    }

    json.protokoll.massnahmen.forEach((val, index) => {
      console.log(index, val);
    })
    */

    json.protokoll.massnahmen.forEach(element => {
      let list = document.createElement("li");
      console.dir(list);
      list.innerHTML = element;
      document.getElementById("pat_massnahmen").appendChild(list);
      console.log(element);
    });

  </script>

</body>
</html>